Changeset 2678 for ThirdParty/Blas


Ignore:
Timestamp:
Dec 2, 2012 10:45:54 AM (7 years ago)
Author:
stefan
Message:

rerun autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Blas/trunk/configure

    r2670 r2678  
    10831083                          icl/link). Default when mentioned: mingw. Default
    10841084                          when not mentioned: disabled.
     1085
    10851086  --disable-pkg-config    disable use of pkg-config (if available)
    10861087  --enable-static[=PKGS]
     
    19221923echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    19231924  fi
     1925
     1926
     1927# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1928if test "${enable_static_standardlibs+set}" = set; then
     1929  enableval="$enable_static_standardlibs"
     1930  case "$enableval" in
     1931     no | yes | auto ) ;;
     1932     *)
     1933       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1934echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
     1935   { (exit 1); exit 1; }; } ;;
     1936   esac
     1937   use_static_standardlibs=$enableval
     1938else
     1939  use_static_standardlibs=no
     1940fi;
     1941
    19241942
    19251943
     
    30483066    CFLAGS="$OPT_CFLAGS"
    30493067  fi
     3068
    30503069else
    30513070  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32163235esac
    32173236
     3237# check whether to add flags for static linking against standard libraries to LDFLAGS
     3238if test x$use_static_standardlibs != xno ; then
     3239  case $build in
     3240    *-mingw*)
     3241      static_standardlib_flag=-static
     3242      ;;
     3243    *)
     3244      static_standardlib_flag=-static-libgcc
     3245      ;;
     3246  esac
     3247  case " $LDFLAGS " in
     3248    *" $static_standardlib_flag "* ) ;;
     3249    *)
     3250    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3251echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3252    coin_save_LDFLAGS="$LDFLAGS"
     3253    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3254    cat >conftest.$ac_ext <<_ACEOF
     3255/* confdefs.h.  */
     3256_ACEOF
     3257cat confdefs.h >>conftest.$ac_ext
     3258cat >>conftest.$ac_ext <<_ACEOF
     3259/* end confdefs.h.  */
     3260
     3261int
     3262main ()
     3263{
     3264int i=0;
     3265  ;
     3266  return 0;
     3267}
     3268_ACEOF
     3269rm -f conftest.$ac_objext conftest$ac_exeext
     3270if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3271  (eval $ac_link) 2>conftest.er1
     3272  ac_status=$?
     3273  grep -v '^ *+' conftest.er1 >conftest.err
     3274  rm -f conftest.er1
     3275  cat conftest.err >&5
     3276  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3277  (exit $ac_status); } &&
     3278         { ac_try='test -z "$ac_c_werror_flag"
     3279                         || test ! -s conftest.err'
     3280  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3281  (eval $ac_try) 2>&5
     3282  ac_status=$?
     3283  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3284  (exit $ac_status); }; } &&
     3285         { ac_try='test -s conftest$ac_exeext'
     3286  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3287  (eval $ac_try) 2>&5
     3288  ac_status=$?
     3289  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3290  (exit $ac_status); }; }; then
     3291  echo "$as_me:$LINENO: result: yes" >&5
     3292echo "${ECHO_T}yes" >&6
     3293else
     3294  echo "$as_me: failed program was:" >&5
     3295sed 's/^/| /' conftest.$ac_ext >&5
     3296
     3297echo "$as_me:$LINENO: result: no" >&5
     3298echo "${ECHO_T}no" >&6
     3299       LDFLAGS="$coin_save_LDFLAGS"
     3300       if test $use_static_standardlibs = yes ; then
     3301         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3302echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3303   { (exit 1); exit 1; }; }
     3304       fi
     3305
     3306fi
     3307rm -f conftest.err conftest.$ac_objext \
     3308      conftest$ac_exeext conftest.$ac_ext
     3309    ;;
     3310  esac
     3311fi
     3312
    32183313ac_ext=c
    32193314ac_cpp='$CPP $CPPFLAGS'
     
    32363331  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32373332 esac
     3333
    32383334
    32393335
     
    34513547
    34523548# Provide some information about the compiler.
    3453 echo "$as_me:3453:" \
     3549echo "$as_me:3549:" \
    34543550     "checking for Fortran 77 compiler version" >&5
    34553551ac_compiler=`set X $ac_compile; echo $2`
     
    38183914    FFLAGS="$OPT_FFLAGS"
    38193915  fi
     3916
    38203917else
    38213918  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39604057esac
    39614058
     4059# check whether to add flag for static linking against standard libraries to LDFLAGS
     4060if test x$use_static_standardlibs != xno ; then
     4061  case $build in
     4062    *-mingw*)
     4063      static_standardlib_flag=-static
     4064      ;;
     4065    *)
     4066      static_standardlib_flag=-static-libgfortran
     4067      ;;
     4068  esac
     4069  case " $LDFLAGS " in
     4070    *" $static_standardlib_flag "* ) ;;
     4071    *)
     4072    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4073echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4074    coin_save_LDFLAGS="$LDFLAGS"
     4075    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4076    cat >conftest.$ac_ext <<_ACEOF
     4077      program main
     4078      integer i
     4079      end
     4080_ACEOF
     4081rm -f conftest.$ac_objext conftest$ac_exeext
     4082if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4083  (eval $ac_link) 2>conftest.er1
     4084  ac_status=$?
     4085  grep -v '^ *+' conftest.er1 >conftest.err
     4086  rm -f conftest.er1
     4087  cat conftest.err >&5
     4088  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4089  (exit $ac_status); } &&
     4090         { ac_try='test -z "$ac_f77_werror_flag"
     4091                         || test ! -s conftest.err'
     4092  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4093  (eval $ac_try) 2>&5
     4094  ac_status=$?
     4095  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4096  (exit $ac_status); }; } &&
     4097         { ac_try='test -s conftest$ac_exeext'
     4098  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4099  (eval $ac_try) 2>&5
     4100  ac_status=$?
     4101  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4102  (exit $ac_status); }; }; then
     4103  echo "$as_me:$LINENO: result: yes" >&5
     4104echo "${ECHO_T}yes" >&6
     4105else
     4106  echo "$as_me: failed program was:" >&5
     4107sed 's/^/| /' conftest.$ac_ext >&5
     4108
     4109echo "$as_me:$LINENO: result: no" >&5
     4110echo "${ECHO_T}no" >&6
     4111       LDFLAGS="$coin_save_LDFLAGS"
     4112       if test $use_static_standardlibs = yes ; then
     4113         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4114echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4115   { (exit 1); exit 1; }; }
     4116       fi
     4117
     4118fi
     4119rm -f conftest.err conftest.$ac_objext \
     4120      conftest$ac_exeext conftest.$ac_ext
     4121    ;;
     4122  esac
     4123fi
     4124
    39624125ac_ext=c
    39634126ac_cpp='$CPP $CPPFLAGS'
     
    40224185ac_save_FFLAGS=$FFLAGS
    40234186FFLAGS="$FFLAGS $ac_verb"
    4024 (eval echo $as_me:4024: \"$ac_link\") >&5
     4187(eval echo $as_me:4187: \"$ac_link\") >&5
    40254188ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40264189echo "$ac_f77_v_output" >&5
     
    41004263ac_save_FFLAGS=$FFLAGS
    41014264FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4102 (eval echo $as_me:4102: \"$ac_link\") >&5
     4265(eval echo $as_me:4265: \"$ac_link\") >&5
    41034266ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41044267echo "$ac_f77_v_output" >&5
     
    50045167# unfortunately, ${libdir} expands to ${exec_prefix}/lib and ${exec_prefix} to ${prefix}...
    50055168if test "x${prefix}" = xNONE ; then
    5006   COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    5007 else
    5008   COIN_PKG_CONFIG_PATH="${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5169  COIN_PKG_CONFIG_PATH="${ac_default_prefix}/lib64/pkgconfig:${ac_default_prefix}/lib/pkgconfig:${ac_default_prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
     5170else
     5171  COIN_PKG_CONFIG_PATH="${prefix}/lib64/pkgconfig:${prefix}/lib/pkgconfig:${prefix}/share/pkgconfig:${COIN_PKG_CONFIG_PATH}"
    50095172fi
    50105173
     
    67026865*-*-irix6*)
    67036866  # Find out which ABI we are using.
    6704   echo '#line 6704 "configure"' > conftest.$ac_ext
     6867  echo '#line 6867 "configure"' > conftest.$ac_ext
    67056868  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    67066869  (eval $ac_compile) 2>&5
     
    91799342   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    91809343   -e 's:$: $lt_compiler_flag:'`
    9181    (eval echo "\"\$as_me:9181: $lt_compile\"" >&5)
     9344   (eval echo "\"\$as_me:9344: $lt_compile\"" >&5)
    91829345   (eval "$lt_compile" 2>conftest.err)
    91839346   ac_status=$?
    91849347   cat conftest.err >&5
    9185    echo "$as_me:9185: \$? = $ac_status" >&5
     9348   echo "$as_me:9348: \$? = $ac_status" >&5
    91869349   if (exit $ac_status) && test -s "$ac_outfile"; then
    91879350     # The compiler can only warn and ignore the option if not recognized
     
    94479610   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    94489611   -e 's:$: $lt_compiler_flag:'`
    9449    (eval echo "\"\$as_me:9449: $lt_compile\"" >&5)
     9612   (eval echo "\"\$as_me:9612: $lt_compile\"" >&5)
    94509613   (eval "$lt_compile" 2>conftest.err)
    94519614   ac_status=$?
    94529615   cat conftest.err >&5
    9453    echo "$as_me:9453: \$? = $ac_status" >&5
     9616   echo "$as_me:9616: \$? = $ac_status" >&5
    94549617   if (exit $ac_status) && test -s "$ac_outfile"; then
    94559618     # The compiler can only warn and ignore the option if not recognized
     
    95519714   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95529715   -e 's:$: $lt_compiler_flag:'`
    9553    (eval echo "\"\$as_me:9553: $lt_compile\"" >&5)
     9716   (eval echo "\"\$as_me:9716: $lt_compile\"" >&5)
    95549717   (eval "$lt_compile" 2>out/conftest.err)
    95559718   ac_status=$?
    95569719   cat out/conftest.err >&5
    9557    echo "$as_me:9557: \$? = $ac_status" >&5
     9720   echo "$as_me:9720: \$? = $ac_status" >&5
    95589721   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    95599722   then
     
    1196812131  lt_status=$lt_dlunknown
    1196912132  cat > conftest.$ac_ext <<EOF
    11970 #line 11970 "configure"
     12133#line 12133 "configure"
    1197112134#include "confdefs.h"
    1197212135
     
    1206812231  lt_status=$lt_dlunknown
    1206912232  cat > conftest.$ac_ext <<EOF
    12070 #line 12070 "configure"
     12233#line 12233 "configure"
    1207112234#include "confdefs.h"
    1207212235
     
    1442814591   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1442914592   -e 's:$: $lt_compiler_flag:'`
    14430    (eval echo "\"\$as_me:14430: $lt_compile\"" >&5)
     14593   (eval echo "\"\$as_me:14593: $lt_compile\"" >&5)
    1443114594   (eval "$lt_compile" 2>conftest.err)
    1443214595   ac_status=$?
    1443314596   cat conftest.err >&5
    14434    echo "$as_me:14434: \$? = $ac_status" >&5
     14597   echo "$as_me:14597: \$? = $ac_status" >&5
    1443514598   if (exit $ac_status) && test -s "$ac_outfile"; then
    1443614599     # The compiler can only warn and ignore the option if not recognized
     
    1453214695   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1453314696   -e 's:$: $lt_compiler_flag:'`
    14534    (eval echo "\"\$as_me:14534: $lt_compile\"" >&5)
     14697   (eval echo "\"\$as_me:14697: $lt_compile\"" >&5)
    1453514698   (eval "$lt_compile" 2>out/conftest.err)
    1453614699   ac_status=$?
    1453714700   cat out/conftest.err >&5
    14538    echo "$as_me:14538: \$? = $ac_status" >&5
     14701   echo "$as_me:14701: \$? = $ac_status" >&5
    1453914702   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1454014703   then
     
    1610216265   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1610316266   -e 's:$: $lt_compiler_flag:'`
    16104    (eval echo "\"\$as_me:16104: $lt_compile\"" >&5)
     16267   (eval echo "\"\$as_me:16267: $lt_compile\"" >&5)
    1610516268   (eval "$lt_compile" 2>conftest.err)
    1610616269   ac_status=$?
    1610716270   cat conftest.err >&5
    16108    echo "$as_me:16108: \$? = $ac_status" >&5
     16271   echo "$as_me:16271: \$? = $ac_status" >&5
    1610916272   if (exit $ac_status) && test -s "$ac_outfile"; then
    1611016273     # The compiler can only warn and ignore the option if not recognized
     
    1620616369   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1620716370   -e 's:$: $lt_compiler_flag:'`
    16208    (eval echo "\"\$as_me:16208: $lt_compile\"" >&5)
     16371   (eval echo "\"\$as_me:16371: $lt_compile\"" >&5)
    1620916372   (eval "$lt_compile" 2>out/conftest.err)
    1621016373   ac_status=$?
    1621116374   cat out/conftest.err >&5
    16212    echo "$as_me:16212: \$? = $ac_status" >&5
     16375   echo "$as_me:16375: \$? = $ac_status" >&5
    1621316376   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1621416377   then
     
    1841318576   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1841418577   -e 's:$: $lt_compiler_flag:'`
    18415    (eval echo "\"\$as_me:18415: $lt_compile\"" >&5)
     18578   (eval echo "\"\$as_me:18578: $lt_compile\"" >&5)
    1841618579   (eval "$lt_compile" 2>conftest.err)
    1841718580   ac_status=$?
    1841818581   cat conftest.err >&5
    18419    echo "$as_me:18419: \$? = $ac_status" >&5
     18582   echo "$as_me:18582: \$? = $ac_status" >&5
    1842018583   if (exit $ac_status) && test -s "$ac_outfile"; then
    1842118584     # The compiler can only warn and ignore the option if not recognized
     
    1868118844   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1868218845   -e 's:$: $lt_compiler_flag:'`
    18683    (eval echo "\"\$as_me:18683: $lt_compile\"" >&5)
     18846   (eval echo "\"\$as_me:18846: $lt_compile\"" >&5)
    1868418847   (eval "$lt_compile" 2>conftest.err)
    1868518848   ac_status=$?
    1868618849   cat conftest.err >&5
    18687    echo "$as_me:18687: \$? = $ac_status" >&5
     18850   echo "$as_me:18850: \$? = $ac_status" >&5
    1868818851   if (exit $ac_status) && test -s "$ac_outfile"; then
    1868918852     # The compiler can only warn and ignore the option if not recognized
     
    1878518948   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1878618949   -e 's:$: $lt_compiler_flag:'`
    18787    (eval echo "\"\$as_me:18787: $lt_compile\"" >&5)
     18950   (eval echo "\"\$as_me:18950: $lt_compile\"" >&5)
    1878818951   (eval "$lt_compile" 2>out/conftest.err)
    1878918952   ac_status=$?
    1879018953   cat out/conftest.err >&5
    18791    echo "$as_me:18791: \$? = $ac_status" >&5
     18954   echo "$as_me:18954: \$? = $ac_status" >&5
    1879218955   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1879318956   then
Note: See TracChangeset for help on using the changeset viewer.